Subject: Re: [Cbor] [core] draft-ietf-cbor-7049bis - Change suggested Canonicalization

From: Franziskus Kiefer <[email-masked]>
Date: Mon, 22 Jan 2018 15:58:56 +0100

Hi all,

I was wondering if there's progress on this and PR 9.

The sorting of canonicalized CBOR maps came up as an issue in the Webauthn
standardization. The consensus there is to use CTAP sorting everywhere [1],
which is incompatible with canonical CBOR sorting.

I see that changing the sorting section is problematic given that this has
been implemented by people already. But I wonder if it would make sense to
add the CTAP sorting as a second option so that both are at least
documented in the same place.

Cheers,
Franziskus

[1] https://github.com/w3c/webauthn/pull/731